commit:     c59697e27236660bcef95d44f94361bb0f36b2cb
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Tue Aug 26 19:01:15 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Sep  6 15:14:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c59697e2

app-misc/gramps: add 6.0.4

Closes: https://bugs.gentoo.org/955785
Closes: https://bugs.gentoo.org/955874
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/43187
Closes: https://github.com/gentoo/gentoo/pull/43187
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-misc/gramps/Manifest            |   1 +
 app-misc/gramps/gramps-6.0.4.ebuild | 102 ++++++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/app-misc/gramps/Manifest b/app-misc/gramps/Manifest
index 84db5bc073c6..af342c5aaa14 100644
--- a/app-misc/gramps/Manifest
+++ b/app-misc/gramps/Manifest
@@ -1,2 +1,3 @@
 DIST gramps-5.2.3.tar.gz 21081011 BLAKE2B 
1ed8bc46e3c0d49b77194e52a060e5e3627871620f87bb7aca1b112972aecbd94a382cbc03ac07f8ef0424b4e47abbb4245ec4761fce5f5b019bdf41591530a1
 SHA512 
830af5c7276ff4e6c3a43ce37f1cd7bf345368885489701d17e4fe276f468890b267c5c72d7055e6043dc715e7a7f950e5a2084e31863d338c3487f29561ac75
 DIST gramps-6.0.1.tar.gz 22016734 BLAKE2B 
464a7e4d58f80329fb71ee0def1559cc6ca4327257feddf61c4f065235d14b680c6590c78d5c54c1bbe3d6808b5b5198ec85228e5210c424cc2f74cc9397c3ab
 SHA512 
00b87cbbf3e58eec78d0a9bf5dbb3037b9468c3f195facf6ade85bce91304a00b5e528eae0dd3443461082c58617d21187ad4aa32068ce7bc99f2396eb63a486
+DIST gramps-6.0.4.tar.gz 22343025 BLAKE2B 
41acec46be74f75e2bd3d5f8db3657521555676092740c84479719e12fb0eca37143484eba85a96d7c2fdcdc5bdabaee25ce0a6845acf7ac2b4c12dfe3ea205f
 SHA512 
e0d7b6e48c77e93a6a38923b3783c722c4dc336904d4315b45373b6a8856483288192195e135b626fc52228fa692dee6319f34c042444baebdd9caf53ecb4e34

diff --git a/app-misc/gramps/gramps-6.0.4.ebuild 
b/app-misc/gramps/gramps-6.0.4.ebuild
new file mode 100644
index 000000000000..57a90d8d0cd6
--- /dev/null
+++ b/app-misc/gramps/gramps-6.0.4.ebuild
@@ -0,0 +1,102 @@
+# Copyright 2001-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Community genealogy program aiming to be both intuitive and 
feature-complete"
+HOMEPAGE="https://gramps-project.org/";
+SRC_URI="
+       https://github.com/gramps-project/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="exif geo postscript +rcs +reports spell test"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/orjson[${PYTHON_USEDEP}]
+               dev-python/pycairo[${PYTHON_USEDEP}]
+               >=dev-python/pygobject-3.12:3[cairo,${PYTHON_USEDEP}]
+               dev-python/pyicu[${PYTHON_USEDEP}]
+               exif? ( >=media-libs/gexiv2-0.5[${PYTHON_USEDEP},introspection] 
)
+       ')
+       gnome-base/librsvg:2
+       >x11-libs/gtk+-3.14.8:3[introspection]
+       x11-libs/pango[introspection]
+       x11-misc/xdg-utils
+       geo? ( >=sci-geosciences/osm-gps-map-1.1.0 )
+       spell? ( app-text/gtkspell:3[introspection] )
+       rcs? ( dev-vcs/rcs )
+       reports? ( media-gfx/graphviz[postscript?] )
+"
+BDEPEND="test? (
+       $(python_gen_cond_dep '
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+               dev-python/lxml[${PYTHON_USEDEP}]
+       ')
+)"
+
+DISTUTILS_ARGS=(
+       --no-compress-manpages
+)
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # Install documentation to the proper location. This can't be done
+       # easily with a patch because we substitute in the ${PF} variable,
+       # and that changes with every revision.
+       sed -i -e "s:share/doc/gramps:share/doc/${PF}:g" setup.py || die
+       sed -i -e "s:\"doc\", \"gramps\":\"doc\", \"${PF}\":" 
gramps/gen/utils/resourcepath.py || die
+
+       default
+}
+
+python_test() {
+       # gramps.gen.utils.test.file_test.FileTest.test_mediapath expects 
existing ~/.gramps
+       # see https://gramps-project.org/bugs/view.php?id=13305
+       mkdir -p "${HOME}/.gramps" || die
+       # we need to populate test data to resources, they are not installed
+       ln -snf "${S}/data/tests" "${BUILD_DIR}/install/usr/share/gramps/tests" 
|| die
+       # test_imp_sample_ged wrongly detects mimetype for OBJE without file in 
${S}
+       rm -f data/tests/imp_sample.ged || die
+       # require Python package bsddb3 that has been removed from Gentoo
+       rm -f data/tests/imp_*.zip || die
+       # multiple failures
+       rm -f 
gramps/gen/datehandler/test/date{display,handler,parser,strings}_test.py || die
+
+       # TZ=UTC is expected in ged export test, #939161
+       local -x GRAMPS_RESOURCES="${BUILD_DIR}/install/usr/share" 
GDK_BACKEND=- TZ=UTC
+       eunittest -p "*_test.py"
+
+       # we don't want to install this symlink
+       rm -f "${BUILD_DIR}/install/usr/share/gramps/tests" || die
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       # Used in About dialog
+       docompress -x /usr/share/doc/${PF}/COPYING
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+}

Reply via email to